package org.gcube.portlets.admin.accountingmanager.shared.data.query;

import java.io.Serializable;
import java.util.ArrayList;

import org.gcube.portlets.admin.accountingmanager.shared.data.AccountingFilter;
import org.gcube.portlets.admin.accountingmanager.shared.data.AccountingPeriod;

/**
 * 
 * @author giancarlo
 * email: <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class SeriesRequest implements Serializable {

	private static final long serialVersionUID = -109538024097615414L;
	private AccountingPeriod accountingPeriod;
	private ArrayList<AccountingFilter> filters; 

	public SeriesRequest() {
		super();
	}

	public SeriesRequest(AccountingPeriod accountingPeriod,
			ArrayList<AccountingFilter> filters) {
		super();
		this.accountingPeriod = accountingPeriod;
		this.filters = filters;
	}

	public AccountingPeriod getAccountingPeriod() {
		return accountingPeriod;
	}

	public void setAccountingPeriod(AccountingPeriod accountingPeriod) {
		this.accountingPeriod = accountingPeriod;
	}

	public ArrayList<AccountingFilter> getFilters() {
		return filters;
	}

	public void setFilters(ArrayList<AccountingFilter> filters) {
		this.filters = filters;
	}

	@Override
	public String toString() {
		return "SeriesRequest [accountingPeriod=" + accountingPeriod
				+ ", filters=" + filters + "]";
	}

	
	
		
	
}
